/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   lst_iter.c                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: lorenuar <lorenuar@student.s19.be>         +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/02/10 14:15:41 by lorenuar          #+#    #+#             */
/*   Updated: 2021/03/08 00:32:40 by lorenuar         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libutils.h"

void	lst_iter(t_list *lst, void (*f)(void *))
{
	while (f && lst)
	{
		f(lst->content);
		lst = lst->next;
	}
}
